---
title: list-style-type
slug: Web/CSS/list-style-type
tags:
  - CSS
  - CSS Lists
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The<strong> <code>list-style-type</code></strong> <a href="/en-US/docs/Web/CSS">CSS</a> property sets the marker (such as a disc, character, or custom counter style) of a list item element.</p>

<div>{{EmbedInteractiveExample("pages/css/list-style-type.html")}}</div>

<p>The <a href="/en-US/docs/CSS/color_value" title="color">color</a> of the marker will be the same as the computed color of the element it applies to.</p>

<p>Only a few elements ({{HTMLElement("li")}} and {{HTMLElement("summary")}}) have a default value of <code>display: list-item</code>. However, the <code>list-style-type</code> property may be applied to any element whose {{cssxref("display")}} value is set to <code>list-item</code>. Moreover, because this property is inherited, it can be set on a parent element (commonly {{HTMLElement("ol")}} or {{HTMLElement("ul")}}) to make it apply to all list items.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush:css no-line-numbers notranslate">/* Partial list of types */
list-style-type: disc;
list-style-type: circle;
list-style-type: square;
list-style-type: decimal;
list-style-type: georgian;
list-style-type: trad-chinese-informal;
list-style-type: kannada;

/* &lt;string&gt; value */
list-style-type: '-';

/* Identifier matching an @counter-style rule */
list-style-type: custom-counter-style;

/* Keyword value */
list-style-type: none;

/* Global values */
list-style-type: inherit;
list-style-type: initial;
list-style-type: unset;
</pre>

<p>The list-style-type property may be defined as any one of:</p>

<ul>
 <li>a <code><a href="#&lt;custom-ident&gt;">&lt;custom-ident&gt;</a></code> value</li>
 <li>a <code><a href="#symbols()">symbols()</a></code> value</li>
 <li>a <code><a href="#&lt;string&gt;">&lt;string&gt;</a></code> value</li>
 <li>the keyword <code><a href="#none">none</a></code>.</li>
</ul>

<p>Note that:</p>

<ul>
 <li>Some types require a suitable font installed to display as expected.</li>
 <li>The <code>cjk-ideographic</code> is identical to <code>trad-chinese-informal</code>; it exists for legacy reasons.</li>
</ul>

<h3 id="Values">Values</h3>

<dl>
 <dt><a id="&lt;custom-ident&gt;">{{cssxref("custom-ident", "&lt;custom-ident&gt;")}}</a></dt>
 <dd>A identifier matching the value of a {{cssxref("@counter-style")}} or one of the predefined styles:</dd>
</dl>

<dl>
 <dt><a id="symbols()">{{cssxref("symbols()")}}</a></dt>
 <dd>Defines an anonymous style of the list.</dd>
 <dt><a id="&lt;string&gt;">{{cssxref("&lt;string&gt;")}}</a></dt>
 <dd>The specified string will be used as the item's marker.</dd>
 <dt><a id="none"><code>none</code></a></dt>
 <dd>No item marker is shown.</dd>
</dl>

<dl>
 <dt><code>disc</code></dt>
 <dd>
 <ul style="list-style-type: disc;">
  <li>A filled circle (default value)</li>
 </ul>
 </dd>
 <dt><code>circle</code></dt>
 <dd>
 <ul style="list-style-type: circle;">
  <li>A hollow circle</li>
 </ul>
 </dd>
 <dt><code>square</code></dt>
 <dd>
 <ul style="list-style-type: square;">
  <li>A filled square</li>
 </ul>
 </dd>
 <dt><code>decimal</code></dt>
 <dd>
 <ul style="list-style-type: decimal;">
  <li>Decimal numbers</li>
  <li>Beginning with 1</li>
 </ul>
 </dd>
 <dt><code>cjk-decimal</code> {{experimental_inline}}</dt>
 <dd>
 <ul>
  <li>Han decimal numbers</li>
  <li>E.g. 一, 二, 三, ..., 九八, 九九, 一〇〇</li>
 </ul>
 </dd>
 <dt><code>decimal-leading-zero</code></dt>
 <dd>
 <ul style="list-style-type: decimal-leading-zero;">
  <li>Decimal numbers</li>
  <li>Padded by initial zeros</li>
  <li>E.g. 01, 02, 03, … 98, 99</li>
 </ul>
 </dd>
 <dt><code>lower-roman</code></dt>
 <dd>
 <ul style="list-style-type: lower-roman;">
  <li>Lowercase roman numerals</li>
  <li>E.g. i, ii, iii, iv, v…</li>
 </ul>
 </dd>
 <dt><code>upper-roman</code></dt>
 <dd>
 <ul style="list-style-type: upper-roman;">
  <li>Uppercase roman numerals</li>
  <li>E.g. I, II, III, IV, V…</li>
 </ul>
 </dd>
 <dt><code>lower-greek</code></dt>
 <dd>
 <ul style="list-style-type: lower-greek;">
  <li>Lowercase classical Greek</li>
  <li>alpha, beta, gamma…</li>
  <li>E.g. α, β, γ…</li>
 </ul>
 </dd>
 <dt><code>lower-alpha</code></dt>
 <dt><code>lower-latin</code></dt>
 <dd>
 <ul style="list-style-type: lower-alpha;">
  <li>Lowercase ASCII letters</li>
  <li>E.g. a, b, c, … z</li>
  <li><code>lower-latin</code> is unsupported in IE7 and earlier</li>
  <li>See {{anch("Browser compatibility")}} section.</li>
 </ul>
 </dd>
 <dt><code>upper-alpha</code></dt>
 <dt><code>upper-latin</code></dt>
 <dd>
 <ul style="list-style-type: upper-alpha;">
  <li>Uppercase ASCII letters</li>
  <li>E.g. A, B, C, … Z</li>
  <li><code>upper-latin</code> is unsupported in IE7 and earlier</li>
 </ul>
 </dd>
 <dt><code>arabic-indic</code></dt>
 <dt><code>-moz-arabic-indic</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>armenian</code></dt>
 <dd>
 <ul style="list-style-type: armenian;">
  <li>Traditional Armenian numbering</li>
  <li>(ayb/ayp, ben/pen, gim/keem…</li>
 </ul>
 </dd>
 <dt><code>bengali</code></dt>
 <dt><code>-moz-bengali</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>cambodian</code> {{experimental_inline}}*</dt>
 <dd>
 <ul style="list-style-type: cambodian;">
  <li>Example</li>
  <li>Is a synonym for <code>khmer</code></li>
 </ul>
 </dd>
 <dt><code>cjk-earthly-branch</code></dt>
 <dt><code>-moz-cjk-earthly-branch</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>cjk-heavenly-stem</code></dt>
 <dt><code>-moz-cjk-heavenly-stem</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>cjk-ideographic</code>{{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: cjk-ideographic;">
  <li>Identical to <code>trad-chinese-informal</code></li>
  <li>E.g. 一萬一千一百一十一</li>
 </ul>
 </dd>
 <dt><code>devanagari</code></dt>
 <dt><code>-moz-devanagari</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>ethiopic-numeric</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: ethiopic-numeric;">
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>georgian</code></dt>
 <dd>
 <ul style="list-style-type: georgian;">
  <li>Traditional Georgian numbering</li>
  <li>E.g. an, ban, gan, … he, tan, in…</li>
 </ul>
 </dd>
 <dt><code>gujarati</code></dt>
 <dt><code>-moz-gujarati</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>gurmukhi</code></dt>
 <dt><code>-moz-gurmukhi</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>hebrew</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: hebrew;">
  <li>Traditional Hebrew numbering</li>
 </ul>
 </dd>
 <dt><code>hiragana</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: hiragana;">
  <li>E.g. あ, い, う, え, お, か, き…</li>
  <li>(Japanese)</li>
 </ul>
 </dd>
 <dt><code>hiragana-iroha</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: hiragana-iroha;">
  <li>E.g. い, ろ, は, に, ほ, へ, と…</li>
  <li>{{interwiki('wikipedia', 'Iroha')}} is the old japanese ordering of syllabs.</li>
 </ul>
 </dd>
 <dt><code>japanese-formal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: japanese-formal;">
  <li>Japanese formal numbering to be used in legal or financial document.</li>
  <li>E.g., 壱萬壱阡壱百壱拾壱</li>
  <li>The kanjis are designed so that they can't be modified to look like another correct one</li>
 </ul>
 </dd>
 <dt><code>japanese-informal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: japanese-informal;">
  <li>Japanese informal numbering</li>
 </ul>
 </dd>
 <dt><code>kannada</code></dt>
 <dt><code>-moz-kannada</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt style="list-style-type: katakana;"><code>katakana</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: katakana;">
  <li>E.g. ア, イ, ウ, エ, オ, カ, キ…</li>
  <li>(Japanese)</li>
 </ul>
 </dd>
 <dt><code>katakana-iroha</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: katakana-iroha;">
  <li>E.g. イ, ロ, ハ, ニ, ホ, ヘ, ト…</li>
  <li>{{interwiki('wikipedia', 'Iroha')}} is the old japanese ordering of syllabs.</li>
 </ul>
 </dd>
 <dt><code>khmer</code></dt>
 <dt><code>-moz-khmer</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>korean-hangul-formal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: korean-hangul-formal;">
  <li>Korean hangul numbering.</li>
  <li>E.g., 일만 일천일백일십일</li>
 </ul>
 </dd>
 <dt><code>korean-hanja-formal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: korean-hanja-formal;">
  <li>Formal Korean Han numbering.</li>
  <li>E.g. 壹萬 壹仟壹百壹拾壹</li>
 </ul>
 </dd>
 <dt><code>korean-hanja-informal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: korean-hanja-informal;">
  <li>Korean hanja numbering.</li>
  <li>E.g., 萬 一千百十一</li>
 </ul>
 </dd>
 <dt><code>lao</code></dt>
 <dt><code>-moz-lao</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>lower-armenian</code> {{experimental_inline}}*</dt>
 <dd>
 <ul style="list-style-type: lower-armenian;">
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>malayalam</code></dt>
 <dt><code>-moz-malayalam</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>mongolian</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: mongolian;">
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>myanmar</code></dt>
 <dt><code>-moz-myanmar</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>oriya</code></dt>
 <dt><code>-moz-oriya</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>persian</code> {{experimental_inline}}</dt>
 <dt><code>-moz-persian</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>simp-chinese-formal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: simp-chinese-formal;">
  <li>Simplified Chinese formal numbering.</li>
  <li>E.g. 壹万壹仟壹佰壹拾壹</li>
 </ul>
 </dd>
 <dt><code>simp-chinese-informal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: simp-chinese-informal;">
  <li>Simplified Chinese informal numbering.</li>
  <li>E.g. 一万一千一百一十一</li>
 </ul>
 </dd>
 <dt><code>tamil</code> {{experimental_inline}}</dt>
 <dt><code>-moz-tamil</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>telugu</code></dt>
 <dt><code>-moz-telugu</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>thai</code></dt>
 <dt><code>-moz-thai</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>tibetan</code> {{experimental_inline}}*</dt>
 <dd>
 <ul style="list-style-type: tibetan;">
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>trad-chinese-formal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: trad-chinese-formal;">
  <li>Traditional Chinese formal numbering.</li>
  <li>E.g. 壹萬壹仟壹佰壹拾壹</li>
 </ul>
 </dd>
 <dt><code>trad-chinese-informal</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: trad-chinese-informal;">
  <li>Traditional Chinese informal numbering.</li>
  <li>E.g. 一萬一千一百一十一</li>
 </ul>
 </dd>
 <dt><code>upper-armenian</code> {{experimental_inline}}*</dt>
 <dd>
 <ul style="list-style-type: upper-armenian;">
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>disclosure-open</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: disclosure-open;">
  <li>Symbol indicating that a disclosure widget such as {{HTMLElement("details")}} is opened.</li>
 </ul>
 </dd>
 <dt><code>disclosure-closed</code> {{experimental_inline}}</dt>
 <dd>
 <ul style="list-style-type: disclosure-closed;">
  <li>Symbol indicating that a disclosure widget, like {{HTMLElement("details")}} is closed.</li>
 </ul>
 </dd>
</dl>

<h3 id="Non-standard_extensions">Non-standard extensions</h3>

<p>A few more predefined types are provided by Mozilla (Firefox), Blink (Chrome and Opera) and WebKit (Safari) to support list types in other languages. See the compatibility table to check which browsers supports which extension.</p>

<dl>
 <dt><code>-moz-ethiopic-halehame</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>-moz-ethiopic-halehame-am</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>ethiopic-halehame-ti-er</code></dt>
 <dt><code>-moz-ethiopic-halehame-ti-er</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>ethiopic-halehame-ti-et</code></dt>
 <dt><code>-moz-ethiopic-halehame-ti-et</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>hangul</code></dt>
 <dt><code>-moz-hangul</code></dt>
 <dd>
 <ul>
  <li>Example</li>
  <li>Example</li>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>hangul-consonant</code></dt>
 <dt><code>-moz-hangul-consonant</code></dt>
 <dd>
 <ul>
  <li>Example</li>
  <li>Example</li>
  <li>Example</li>
 </ul>
 </dd>
 <dt><code>urdu</code></dt>
 <dt><code>-moz-urdu</code></dt>
 <dd>
 <ul>
  <li>Example</li>
 </ul>
 </dd>
</dl>

<h2 id="Accessibility_concerns">Accessibility concerns</h2>

<p>The <a href="https://help.apple.com/voiceover/info/guide/">VoiceOver</a> screen reader has an issue where unordered lists with a <code>list-style-type</code> value of <code>none</code> applied to them will not be announced as a list. To address this, add a <a href="https://en.wikipedia.org/wiki/Zero-width_space">zero-width space</a> as <a href="/en-US/docs/Web/CSS/content">pseudo content</a> before each list item to ensure the list is announced properly. This ensures the design is unaffected by the bug fix and that list items are not improperly described.</p>

<pre class="brush: css notranslate">ul {
  list-style: none;
}

ul li::before {
  content: "\200B";
}

</pre>

<ul>
 <li><a href="https://unfetteredthoughts.net/2017/09/26/voiceover-and-list-style-type-none/">VoiceOver and list-style-type: none – Unfettered Thoughts</a></li>
 <li><a href="/en-US/docs/Web/Accessibility/Understanding_WCAG/Perceivable#Guideline_1.3_%E2%80%94_Create_content_that_can_be_presented_in_different_ways">MDN Understanding WCAG, Guideline 1.3 explanations</a></li>
 <li><a href="https://www.w3.org/TR/UNDERSTANDING-WCAG20/content-structure-separation-programmatic.html" rel="noopener">Understanding Success Criterion 1.3.1 | W3C Understanding WCAG 2.0</a></li>
</ul>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_list_item_markers">Setting list item markers</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush: html notranslate">List 1
&lt;ol class="normal"&gt;
  &lt;li&gt;Hello&lt;/li&gt;
  &lt;li&gt;World&lt;/li&gt;
  &lt;li&gt;What's up?&lt;/li&gt;
&lt;/ol&gt;

List 2
&lt;ol class="shortcut"&gt;
  &lt;li&gt;Looks&lt;/li&gt;
  &lt;li&gt;Like&lt;/li&gt;
  &lt;li&gt;The&lt;/li&gt;
  &lt;li&gt;Same&lt;/li&gt;
&lt;/ol&gt;</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush: css notranslate">ol.normal {
  list-style-type: upper-alpha;
}

/* or use the shortcut "list-style": */
ol.shortcut {
  list-style: upper-alpha;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{EmbedLiveSample("Setting_list_item_markers","200","300")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Counter Styles', '#extending-css2', 'list-style-type')}}</td>
   <td>{{Spec2("CSS3 Counter Styles")}}</td>
   <td>Redefines CSS2.1 counters.<br>
    Extends the syntax to support <code>@counter-style</code> rules.<br>
    Defines using <code>@counter-style</code> the usual style types: <code>hebrew</code>, <code>cjk-ideographic</code>, <code>hiragana</code>, <code>hiragana-iroha</code>, <code>katakana</code>, <code>katakana-iroha</code>, <code>japanese-formal</code>, <code>japanese-informal</code>, <code>simp-chinese-formal</code>, <code>trad-chinese-formal</code>, <code>simp-chinese-formal</code>, <code>trad-chinese-formal</code>,<code>korean-hangul-formal</code>, <code>korean-hanja-informal</code>, <code>korean-hanja-formal</code>, <code>cjk-decimal</code>, <code>ethiopic-numeric</code>, <code>disclosure-open</code> and <code>disclosure-closed</code>.<br>
    Extends <code>&lt;counter-style&gt;</code> with the <code>symbols()</code> functional notation.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS3 Lists', '#propdef-list-style-type', 'list-style-type')}}</td>
   <td>{{Spec2('CSS3 Lists')}}</td>
   <td>Modify syntax to support for identifiers used in <code>@counter-style</code> rules to keywords.<br>
    Support for a simple <code>&lt;string&gt;</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('CSS2.1', 'generate.html#propdef-list-style-type', 'list-style-type')}}</td>
   <td>{{Spec2('CSS2.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.list-style-type")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{Cssxref("list-style")}}, {{Cssxref("list-style-image")}}, {{Cssxref("list-style-position")}}</li>
</ul>
